DESC="Check option --keep_woven"

runtest()
{
  mkdir -p bin
  BIN=bin/test15${EXT}

  EXEC="${AGCC} --keep_woven -p ${TestSrcDir} -v1 -o ${BIN} ${TestSrcDir}/*.cc"
  if  ( ${EXEC} );then true
  else
    ERR_MSG="Execution failed '${EXEC}'"
    return 1
  fi

  if [ -f Test.acc -a -f main.acc ];then true
  else
    ERR_MSG="Woven files do not exist."
  fi
}
